Doomsday Engine - Bug #1104

Replacement flats VS texture animations
2012-12-18 14:50 - danij

Status: Progressed Start date: 2012-12-18
Priority: Normal % Done: 0%
Assignee:

Category: Vanilla emulation

Target version: Modding

Description

Due to the way texture animations are built by the original game algorithm there can be two versions of a flat with a given name in
active use.

To test this create a new PWAD and include in it replacement flats for RROCK06 and RROCKO07.

As the lump name search algorithm returns the last lump with a given name, the replacements in the PWAD will appear in the map if
RROCKO06/RROCKQO7 is used on say a sector floor.

However because the animations are built using offsets in the lump index, the RROCK animation will use the original and not the
replaced versions of these flats.

Doomsday currently gets it nearly correct however the RROCK animation is missing flats RROCK06 and RROCKO07.

Labels: Graphics, Add-ons, Texture Animations

History

#1 - 2012-12-17 12:55 - danij

Handling this correctly therefore requires the engine to implement some special case handling to allow both versions of such textures to coexist.

As the texture lists are built before the game attempts to build the animations (which is presently a task of game pre-init) we consequently don't have
the knowledge needed to handle it at this time.

#2 - 2012-12-18 14:52 - skyjake

Affected by the recent work on material animations?

#3 - 2012-12-18 14:54 - danij

Not directly affected but that work will make addressing this a little easier.

#4 - 2013-03-24 03:46 - danij

- status: open --> accepted

#5 - 2013-10-19 12:16 - skyjake
- Tags set to Graphics, Mod, Animation, Textures
- Category set to Vanilla emulation

- Target version deleted (1.9.10)

#6 - 2016-07-05 23:54 - skyjake

- Status changed from In Progress to Progressed

#7 - 2017-04-03 14:43 - skyjake

- Target version set to Modding
